{
  "model": {
    "type": "minecraft:select",
    "property": "minecraft:component",
    "component": "minecraft:custom_name",
 "cases": [
      {
        "when": "[Card] Bat",
        "model": {
          "type": "minecraft:model",
          "model": "minecraft:item/cards/bat"
        }
      },
      {
        "when": "[Card] Black Cat",
        "model": {
          "type": "minecraft:model",
          "model": "minecraft:item/cards/black_cat"
        }
      },
	  {
        "when": "[Card] Illusioner",
        "model": {
          "type": "minecraft:model",
          "model": "minecraft:item/cards/illusioner"
        }
      },
      {
        "when": "[Card] Warden",
        "model": {
          "type": "minecraft:model",
          "model": "minecraft:item/cards/warden"
        }
      }
    ],
    "fallback": {
      "type": "minecraft:model",
      "model": "minecraft:item/paper"
    }
  }
}
